-- order 20010677 (drop old functions - now this functionality appears in pack_price)

begin
execute immediate ('drop function f_pricerent_details');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_pricereplacement');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_pricereplacement_details');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_pricesales_details');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_pricewash_details');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_priceweight_details');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_rentprice');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_rentpricen');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_replacementprice');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_replacementprice_details');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_replacementsalesprice');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_salesprice');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_weightprice');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_discountweight');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_discountrent');
exception when others then null;
end;
/

begin
execute immediate ('drop function f_discountwash');
exception when others then null;
end;
/
